=== debian/changelog ===
cd-hit (4.5.7-1) unstable; urgency=low

  * Initial release (Closes: #652074)
  * This package is recommended by the package qiime and thus it also
    Closes: #651983

 -- Andreas Tille <tille@debian.org>  Wed, 14 Dec 2011 14:39:32 +0100
