=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for cd-hit
# Andreas Tille <tille@debian.org>
# GPL

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=debian/$(pkg)/usr/lib/cd-hit

override_dh_compress:
	dh_compress --exclude=.pdf
