=== debian/watch ===
version=3
http://googlecode.debian.net/p/cdhit/cd-hit-v([.\d]+)[-\d]+\.tgz
