## cd-hit 4.6-2012-04

=== Makefile ===
--- 
+++ 
@@ -23,6 +23,10 @@
 CCFLAGS += -O2
 endif
 
+ifdef MAX_SEQ
+CCFLAGS += -DMAX_SEQ=$(MAX_SEQ)
+endif
+
 #LDFLAGS = -static -o
 LDFLAGS = -o
 
@@ -34,7 +38,7 @@
 all: $(PROGS)
 
 clean:
-	rm *.o $(PROGS)
+	rm -f *.o $(PROGS)
 
 # programs
