## cd-hit 4.6-2012-04-25

=== debian/changelog ===
cd-hit (4.6-2012-04-25-1) unstable; urgency=low

  * New upstream version incorporating the previous patches as
    well as the LaTeX source of the documentation
  * debian/patches/use-dpkg-buildflags.patch: Make sure hardening
    flags will really propagate
  * debian/{control,rules}: Use mpi version of cd-hit
  * README.Debian: Tell users that we are using mpi and they should
    ask for an alternative if needed
  * debian/*.1, debian/manpages: Deleted in favour of autogenerated
    manpages using help2man; Remark: the manually edited pages were
    slightly better regarding "SEE ALSO" and "AUTHORS" sections but
    it is better to auto-generate the pages to stay with changes of
    future versions
  * debian/rules: Use help2man 2 create manpages whereever possible
  * debian/patches/enable_help2man.patch: Fix some minor issues to
    get less error output in man pages

 -- Andreas Tille <tille@debian.org>  Thu, 26 Apr 2012 07:54:23 +0200

cd-hit (4.5.8-2012-03-24-1) unstable; urgency=low

  [ Charles Plessy ]
  * renamed debian/upstream-metadata.yaml to debian/upstream

  [ Andreas Tille ]
  * New upstream version
  * debian/watch: Fixed to reflect the change on code.google.com
  * debian/control: Standards-Version: 3.9.3 (no changes needed)
  * debian/copyright: Fixed DEP5 and verified using
      cme fix dpkg-copyright
  * debian/patches/gcc-4.7.patch: Enable building with g++-4.7
    Closes: #667134
  * debian/upstream:
     - use BibTeX format to specify author
     - Move DOI+PMID to References
     - Differentiate between URl and eprint
  * debhelper 9 (control+compat)

 -- Andreas Tille <tille@debian.org>  Sun, 22 Apr 2012 18:06:41 +0200
