=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
  Andreas Tille <tille@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), mpi-default-dev, help2man
+Standards-Version: 3.9.3
 Homepage: http://weizhong-lab.ucsd.edu/cd-hit/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/cd-hit/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/cd-hit/trunk/
 
 Package: cd-hit
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, mpi-default-bin
 Description: suite of programs designed to quickly group sequences
  cd-hit contains a number of programs designed to quickly group
  sequences. cd-hit groups proteins into clusters that meet a user-defined
