## cd-hit 4.6.1-2012-08-27

=== debian/changelog ===
cd-hit (4.6.1-2012-08-27-2) unstable; urgency=low

  * Take over changes from BioLinux

 -- Andreas Tille <tille@debian.org>  Thu, 15 Aug 2013 21:36:49 +0200

cd-hit (4.6.1-2012-08-27-1biolinux1) precise; urgency=low

  * Rebuild for Precice
  * Add new cdhit-454 to /usr/bin, including help2man manpage
  * Remove dependency on openmpi, as cd-hit doesn't use it at all.
    (It uses the -fopenmp compiler flag; maybe there was some confusion?)

 -- Tim Booth <tbooth@ceh.ac.uk>  Thu, 15 Aug 2013 17:00:41 +0100

cd-hit (4.6.1-2012-08-27-1) unstable; urgency=low

  * New upstream version (adapted patches)
  * debian/control: 
     - cme fix dpkg-control
     - use anonscm in Vcs fields

 -- Andreas Tille <tille@debian.org>  Sun, 11 Aug 2013 10:51:30 +0200
