=== debian/control ===
Source: cd-hit
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               help2man
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/cd-hit/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/cd-hit/trunk/
Homepage: http://weizhong-lab.ucsd.edu/cd-hit/

Package: cd-hit
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends}
Description: suite of programs designed to quickly group sequences
 cd-hit contains a number of programs designed to quickly group
 sequences. cd-hit groups proteins into clusters that meet a user-defined
 similarity threshold. cd-hit-est is similar to cd-hit, but designed to
 group nucleotide sequences (without introns). cd-hit-est-2d is similar
 to cd-hit-2d but designed to compare two nucleotide datasets. A number
 of other related programs are also in this package. Please see the
 cd-hit user manual, also part of this package, for further information.
