=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,12 @@
 	   $(CURDIR)/cd-hit	| \
 	   sed -e 's/^cd-\(hit \\-\)/cd\1/' -e 's/^.B cd-hit/.B cdhit/' \
 	   > $(mandir)/cdhit.1
+
+	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
+	   --name='quickly group sequences, optimised for 454 data' \
+	   $(CURDIR)/cd-hit-454	| \
+	   sed -e 's/^cd-\(hit \\-\)/cd\1/' -e 's/^.B cd-hit/.B cdhit/' \
+	   > $(mandir)/cdhit-454.1
 
 	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
 	   --name='quickly group sequences in db1 or db2 format' \
