=== debian/watch ===
version=3
http://code.google.com/p/cdhit/downloads/list?can=1 \
  .*/cd-hit-v([-.\d]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))|zip)
