## cd-hit 4.6.4

=== debian/changelog ===
cd-hit (4.6.4-1) unstable; urgency=medium

  * New upstream version
  * Adapted d/watch to move from google code to Github
  * Remove redundant remark from author about LaTeX source of doc
  * cme fix dpkg-control
  * Update debian/copyright
  * Some tools do not generate a help2man output any more

 -- Andreas Tille <tille@debian.org>  Fri, 22 Jan 2016 15:31:20 +0100
