=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                help2man
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/cd-hit/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/cd-hit/trunk/
 Homepage: http://weizhong-lab.ucsd.edu/cd-hit/
@@ -24,4 +24,3 @@
  to cd-hit-2d but designed to compare two nucleotide datasets. A number
  of other related programs are also in this package. Please see the
  cd-hit user manual, also part of this package, for further information. 
-
