=== debian/rules ===
--- 
+++ 
@@ -60,20 +60,23 @@
 	    $(CURDIR)/cd-hit-para.pl	> $(mandir)/cd-hit-para.1
 
 	# psi-cd-hit.pl is throwing some errors which are fixed using sed
-	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
-	   --name='runs similar algorithm like CD-HIT but using BLAST to calculate similarities' \
-	   $(CURDIR)/psi-cd-hit.pl	| \
-	   sed -e '/^Name "main::.*" used only once:/d' \
-		> $(mandir)/psi-cd-hit.1
+	# ... at least in versions <= 4.6.4 - now help2man does not work at all
+	#help2man --no-info --no-discard-stderr --version-string='$(ver)' \
+	#   --name='runs similar algorithm like CD-HIT but using BLAST to calculate similarities' \
+	#   $(CURDIR)/psi-cd-hit.pl	| \
+	#   sed -e '/^Name "main::.*" used only once:/d' \
+	#	> $(mandir)/psi-cd-hit.1
 
-	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
-	   --name='runs similar algorithm like CD-HIT but using BLAST to calculate similarities in db1 or db2 format' \
-	      $(CURDIR)/psi-cd-hit-2d.pl	> $(mandir)/psi-cd-hit-2d.1
+	# help2man does not work at all since version 4.6.4
+	#help2man --no-info --no-discard-stderr --version-string='$(ver)' \
+	#   --name='runs similar algorithm like CD-HIT but using BLAST to calculate similarities in db1 or db2 format' \
+	#      $(CURDIR)/psi-cd-hit-2d.pl	> $(mandir)/psi-cd-hit-2d.1
 
 	# FIXME: what is the difference between psi-cd-hit-2d.pl and psi-cd-hit-2d-g1.pl ?
-	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
-	   --name='runs similar algorithm like CD-HIT but using BLAST to calculate similarities in db1 or db2 format' \
-	      $(CURDIR)/psi-cd-hit-2d-g1.pl	> $(mandir)/psi-cd-hit-2d-g1.1
+	# help2man does not work at all since version 4.6.4
+	#help2man --no-info --no-discard-stderr --version-string='$(ver)' \
+	#   --name='runs similar algorithm like CD-HIT but using BLAST to calculate similarities in db1 or db2 format' \
+	#      $(CURDIR)/psi-cd-hit-2d-g1.pl	> $(mandir)/psi-cd-hit-2d-g1.1
 
 	# No help output from
 	#   cd-hit-div.pl
