## cd-hit 4.6.5

=== debian/changelog ===
cd-hit (4.6.5-2) unstable; urgency=medium

  * Remove links to scripts that were removed in this version
    Closes: #825582
  * cme fix dpkg-control
  * Better hardening

 -- Andreas Tille <tille@debian.org>  Sat, 28 May 2016 09:24:04 +0200

cd-hit (4.6.5-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Wed, 09 Mar 2016 21:47:21 +0100
