=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                help2man
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/cd-hit/trunk/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/cd-hit/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/cd-hit/trunk/
 Homepage: http://weizhong-lab.ucsd.edu/cd-hit/
