## cd-hit 4.6.6

=== debian/changelog ===
cd-hit (4.6.6-2) unstable; urgency=medium

  [ Canberk Koç ]
  * Team upload.
  * Autopkgtest added

  [ Andreas Tille ]
  * Install originally named tools (including '-' to /usr/bin)

 -- Canberk Koç <canberkkoc@gmail.com>  Sun, 14 Aug 2016 14:49:02 +0300

cd-hit (4.6.6-1) unstable; urgency=medium

  * New upstream version
  * Moved from SVN to Git

 -- Andreas Tille <tille@debian.org>  Wed, 03 Aug 2016 22:20:07 +0200
