=== debian/rules ===
--- 
+++ 
@@ -25,33 +25,23 @@
 
 	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
 	   --name='quickly group sequences' \
-	   $(CURDIR)/cd-hit	| \
-	   sed -e 's/^cd-\(hit \\-\)/cd\1/' -e 's/^.B cd-hit/.B cdhit/' \
-	   > $(mandir)/cdhit.1
+	   $(CURDIR)/cd-hit > $(mandir)/cd-hit.1
 
 	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
 	   --name='quickly group sequences, optimised for 454 data' \
-	   $(CURDIR)/cd-hit-454	| \
-	   sed -e 's/^cd-\(hit \\-\)/cd\1/' -e 's/^.B cd-hit/.B cdhit/' \
-	   > $(mandir)/cdhit-454.1
+	   $(CURDIR)/cd-hit-454 > $(mandir)/cd-hit-454.1
 
 	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
 	   --name='quickly group sequences in db1 or db2 format' \
-	   $(CURDIR)/cd-hit-2d	| \
-	   sed -e 's/^cd-\(hit-2d \\-\)/cd\1/' -e 's/^.B cd-hit/.B cdhit/' \
-	   	> $(mandir)/cdhit-2d.1
+	   $(CURDIR)/cd-hit-2d > $(mandir)/cd-hit-2d.1
 
 	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
 	   --name='run CD-HIT algorithm on RNA/DNA sequences' \
-	   $(CURDIR)/cd-hit-est	| \
-	   sed -e 's/^cd-\(hit-est \\-\)/cd\1/' -e 's/^.B cd-hit/.B cdhit/' \
-		> $(mandir)/cdhit-est.1
+	   $(CURDIR)/cd-hit-est > $(mandir)/cd-hit-est.1
 
 	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
 	   --name='run CD-HIT algorithm on RNA/DNA sequences in db1 or db2 format' \
-	   $(CURDIR)/cd-hit-est-2d	| \
-	   sed -e 's/^cd-\(hit-est-2d \\-\)/cd\1/' -e 's/^.B cd-hit/.B cdhit/' \
-		> $(mandir)/cdhit-est-2d.1
+	   $(CURDIR)/cd-hit-est-2d > $(mandir)/cd-hit-est-2d.1
 
 	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
 	   --name='divide a big clustering job into pieces to run cd-hit-2d or cd-hit-est-2d jobs' \
