## cd-hit 4.6.7

=== debian/changelog ===
cd-hit (4.6.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    - cd-hit-est and cd-hit-est-2d now can cluster paired end (PE) reads.
    - user can select sub-sequence from the beginning of the sequences
      for clustering.
    - psi-cd-hit.pl can work with blast+.
    - output cluster file can be sorted by cluster size, in addition to
      cluster length, which is still the default.
    - output fasta file can be sorted by cluster size.
  * upstream/metadata: Added RRID (SCR_007105).
  * upstream/edam: Crude first entry.

 -- Steffen Moeller <moeller@debian.org>  Wed, 14 Jun 2017 15:55:31 +0200
