=== debian/changelog ===
cd-hit (4.6.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Make build reproducible, thanks to Chris Lamb for the patch.
    Closes: #866330

 -- Sascha Steinbiss <satta@debian.org>  Sat, 01 Jul 2017 10:43:07 +0200
