=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: debhelper (>= 9),
                help2man
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/cd-hit/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/cd-hit/trunk/
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/cd-hit.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/cd-hit.git
 Homepage: http://weizhong-lab.ucsd.edu/cd-hit/
 
 Package: cd-hit
