=== debian/changelog ===
cd-hit (4.8.1-4) unstable; urgency=medium

  * d/watch: fix broken link to github
  * d/control: add myself to uploaders
  * d/t/run-unit-test: disable memory limits in tests (Closes: #992052)
  * Standards-Version: 4.6.0 (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Fri, 20 Aug 2021 10:39:56 +0200

cd-hit (4.8.1-3) unstable; urgency=medium

  * Fix Homepage
    Closes: #975385
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Update watch file format version to 4.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Sat, 21 Nov 2020 20:27:41 +0100

cd-hit (4.8.1-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Makefile expects a C++ compiler in $CC. (Closes: #932652)

 -- Andreas Tille <tille@debian.org>  Mon, 22 Jul 2019 00:42:22 +0200

cd-hit (4.8.1-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Andreas Tille ]
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0
  * Remove trailing whitespace in debian/rules
  * Do not parse d/changelog
  * Build-Depends: zlib1g-dev

 -- Andreas Tille <tille@debian.org>  Fri, 19 Jul 2019 19:34:25 +0200

cd-hit (4.6.8-2) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Wed, 19 Sep 2018 14:47:50 +0200
